commit:     aad27e2fec28bc7a96bc21a87c2901510d956bfa
Author:     Filip Kobierski <fkobi <AT> pm <DOT> me>
AuthorDate: Fri Mar  7 18:40:11 2025 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue May  6 07:48:45 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aad27e2f

dev-cpp/fast_float: add 8.0.0 with conditional sed

Signed-off-by: Filip Kobierski <fkobi <AT> pm.me>
Closes: https://github.com/gentoo/gentoo/pull/40951
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-cpp/fast_float/Manifest                |  1 +
 dev-cpp/fast_float/fast_float-8.0.0.ebuild | 35 ++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-cpp/fast_float/Manifest b/dev-cpp/fast_float/Manifest
index 50e9eccd37a6..c320ff548968 100644
--- a/dev-cpp/fast_float/Manifest
+++ b/dev-cpp/fast_float/Manifest
@@ -1 +1,2 @@
 DIST fast_float-7.0.0.tar.gz 103358 BLAKE2B 
7334a74952aba9629e0cd0f3b49679ed8f9c84436d3e9b10438d09416341343efc34acc0f87283a20fff5866d1e5787f456ac8a37f0a918823369419378ddb53
 SHA512 
d6745c0f7d3b7fd31d710ca1a5b8a58506d0009dbf2e1a29c70483abcec2c2498a15a5efef203f39b43a9357a04c91e360080b7897fffdf68bf4ec561c40c77d
+DIST fast_float-8.0.0.tar.gz 120849 BLAKE2B 
69b73e33b91ce24563f0931a02847d0e3d0253e457ca827f2224f80e4c390dcc639364e9fc8994d4e41489b0a2a9fa36cedbda45ea1c0ff1c8489c2f0b63f72e
 SHA512 
b4cf0a4802fa26eba2cd371b243bf8f9b662019c957d6f50b43e23937fac06845a9d10db0d4381e74549712237a00c0cfbfc7483d3bdb1a9d3b2185f8a62ad25

diff --git a/dev-cpp/fast_float/fast_float-8.0.0.ebuild 
b/dev-cpp/fast_float/fast_float-8.0.0.ebuild
new file mode 100644
index 000000000000..bf21c3c290d5
--- /dev/null
+++ b/dev-cpp/fast_float/fast_float-8.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Fast and exact implementation of the C++ from_chars functions for 
number types"
+HOMEPAGE="https://github.com/fastfloat/fast_float";
+SRC_URI="https://github.com/fastfloat/fast_float/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 Boost-1.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-cpp/doctest )"
+
+src_configure() {
+       local mycmakeargs=( -DFASTFLOAT_TEST=$(usex test) )
+
+       # Avoid passing these without USE=test to avoid cmake warning
+       # "Manually-specified variables were not used by the project"
+       if use test; then
+               mycmakeargs+=(
+                       -DSYSTEM_DOCTEST=ON
+                       # Unconditionally calls FetchContent
+                       -DFASTFLOAT_SUPPLEMENTAL_TESTS=OFF
+               )
+               sed -i 's/-Werror//' tests/CMakeLists.txt || die
+       fi
+
+       cmake_src_configure
+}

Reply via email to